<?php
$tabNbPerDiv = array();
$tabPropPerDiv = array();
$liste_division = mysqli_query($bdd,"SELECT division FROM ".$prefix."_eleves GROUP BY division ORDER BY division ASC");
while($listediv = mysqli_fetch_assoc($liste_division)) {
	$nbeleves_div = mysqli_query($bdd,"SELECT DISTINCT freq.eleves_id FROM ".$prefix."_freq freq WHERE date_freq >= '".$day1."' AND date_freq <= '".$day2."' AND division = '".$listediv['division']."' ".$filtre_activs."");
	$nbeleves = mysqli_num_rows($nbeleves_div);
	$elediv = mysqli_num_rows(mysqli_query($bdd,"SELECT eleves_id FROM ".$prefix."_eleves WHERE division = '".$listediv['division']."'"));
	array_push($tabNbPerDiv, $nbeleves);
	$prop = round(($nbeleves * 100 / $elediv),2);
	if($prop>100) { $prop = 100; }
	array_push($tabPropPerDiv, $prop);
}

?>
<div id="wrapper" class="statcadre">
<canvas id="chart_propperdiv" class="charts" width="400" height="300"></canvas>
</div>
<script>
var ctx = document.getElementById("chart_propperdiv");
var myChart = new Chart(ctx, {
    type: 'bar',
    data: {
        labels: <?php echo json_encode($tabDivisions); ?>,
        datasets: [{
            data: <?php echo json_encode($tabPropPerDiv); ?>,
            backgroundColor: <?php echo json_encode($tabDivColors); ?>,
            borderColor: <?php echo json_encode($tabDivColors); ?>,
            borderWidth: 1
        }]
    },
    options: {
        scales: {
            yAxes: [{
                ticks: {
                    beginAtZero:true
                }
            }]
        },
        title: {
            display: true,
            text: 'Proportion d\'élèves par division (%)'
        },
        legend: {
			display:false
		},
		responsive: true,
		maintainAspectRatio: false
    }
});
</script>