<?php 
include('db/idl_connect.php');
echo '<meta charset="utf-8" />';
		
if(isset($_SESSION['user_droits'])) {
	if($_SESSION['user_droits'][5]!="2")
	{
		echo '<p class="noaccess">Vous n\'avez pas accès à ce module.<br><a href="../index.php">Accueil</a></p>';
	}
	else {
		echo '<h1>Gestion des codes et codes-barres</h1>';
		
		//traitement global
		if(isset($_POST['bccreate'])||isset($_POST['bcregen'])) {
			require_once('./db/proc/database_code_values.php');
			$eleves = mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves");
			include('./db/proc/database_code_gen.php');
		}
		if(isset($_POST['bccomplete'])) {
			require_once('./db/proc/database_code_values.php');
			$eleves = mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves WHERE code = ''");
			include('./db/proc/database_code_gen.php');
		}
		//traitement individuel
		if(isset($_POST['modif'])) {
			//sélection de l'élève
			include('./db/proc/eleve_select.php');
			$txt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'barcodes_txt'"));
			$int = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'barcodes_int'"));
			$txtbc=$txt['valeur'];
			$intbc=$int['valeur'];
			$eleves = mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves WHERE eleves_id = '".$eleve_info['eleves_id']."'");
			include('./db/proc/database_code_gen.php');
		}

		//Nombre d'élèves avec code
		$code_nb=mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves WHERE code != ''"));
		if($code_nb==0) {
			echo '<p>Aucun élève ne possède de code.</p>';
		}
		else {
			echo '<p>'.$code_nb.' élève';
			if($code_nb>1) { echo 's'; }
			echo ' sur '.$nb_ele.' possède';
			if($code_nb>1) { echo 'nt'; }
			echo ' un code.</p>';
		}

		echo '<h2>Génération de codes</h2>';
		//formulaire
		echo '<p>Si les codes existent à l\'extérieur du logiciel, il faut les intégrer dans une mise à jour de la base élèves.<br>La partie ci-dessous concerne la création de codes spécifiques à <i>Infodoclog</i>.</p><p>Il est possible de paramétrer le texte au début du code (de 0 à 5 caractères),<br>ainsi que le nombre de chiffres dans le code (de 5 à 9 chiffres).';
		$txt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'barcodes_txt'"));
		$int = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'barcodes_int'"));
		echo '<form action="" method="POST" name="bcgen" class="padd2">
		Début du code : <input type="text" class="inptxt" maxlength="5" name="txtbc" value="'.$txt['valeur'].'" /><br>
		Nombre de chiffres : <input type="number" min="5" max="9" name="intbc" value="'.$int['valeur'].'" /><br>';
		if((($nb_ele-$code_nb)>0)&&($code_nb!=0)) { 
			echo ' <input class="bouton boutdb" type="submit" name="bccomplete" value="Compléter" />'; 
		} 
		if($code_nb==0) {
			echo ' <input class="bouton boutdb" type="submit" name="bccreate" value="Créer tous les codes" />';
		}
		if($code_nb>0) {
			echo ' <input class="bouton boutdb" type="submit" name="bcregen" value="Recréer tous les codes" />';
		}

		echo '</form>';

		//Réinitialisation possible par élèves
		echo '<br><h2>Réinitialisation individuelle de codes</h2>';

		echo '<form method="POST" name="eleve" action="" class="padd4">
			<table class="noborder">
				<tr>
					<td><label for="eleves">Nom et prénom de l\'élève :</label></td>
					<td>
					  <input type="text" class="inptxt" name="eleve" size="40" id="eleves" value="">
					</td>
				</tr>
				<tr><td colspan="2" style="text-align:right;"><input class="bouton boutdb" type="submit" value="Créer ou régénérer le code" name="modif" /></td></tr>
			</table>
		</form>';

		if($code_nb!=0) {
			echo '<h2>Impression de code-barres</h2>';
			//traitement de création d'un modèle
			if(isset($_POST['modelenew'])) {
				// Récupération des données
				$nom = mysqli_real_escape_string($bdd,$_POST['nom']);
				$textspe = mysqli_real_escape_string($bdd,$_POST['textspe']);
				//Vérification
				if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_barcodes WHERE nom = '".$nom."'")) > 0) {
					echo '<p class="signal">Nom de modèle déjà utilisé.</p>';
				}
				else {
					// Enregistrement
					mysqli_query($bdd,"INSERT INTO ".$prefix."_barcodes (nom, typusage, format, nbwidth, nbheight, type, margextg, margextd, margexth, margextb, margintg, margintd, marginth, margintb, textup, textspe, fontsize) VALUES ('".$nom."', 'eleve', '".$_POST['format']."', '".$_POST['nbwidth']."', '".$_POST['nbheight']."', '".$_POST['type']."', '".$_POST['margextg']."', '".$_POST['margextd']."', '".$_POST['margexth']."', '".$_POST['margextb']."', '".$_POST['margintg']."', '".$_POST['margintd']."', '".$_POST['marginth']."', '".$_POST['margintb']."', '".$_POST['textup']."', '".$textspe."', '".$_POST['fontsize']."')");
				}
			}

			//formulaire pour choix du modèle et des élèves pour les code-barres à sortir
			$modeles = mysqli_query($bdd,"SELECT * FROM ".$prefix."_barcodes WHERE typusage = 'eleve' ORDER BY bcmodele_id ASC");
			echo '<form method="POST" action="./include/pdf_loaders/barcodes.php" name="bcimp">';
			$modelechoix = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'barcodes_default_modeleve'"));
			if(mysqli_num_rows($modeles)==1) {
				echo '<p><b>Modèle :</b> par défaut</p>';
				echo '<div id=\'bc\' style=\'display:inline\'>';
				include('db/proc/database_select_bcmod.php');
				echo '</div><br>';
			}
			else if(mysqli_num_rows($modeles)>1) {
				echo "<p><b>Modèle :</b> <div class='box'><select name='barcodes' id='barcodes' onchange='gocar()'>";
					if($modelechoix['valeur']!="default") {
						$modopt = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM ".$prefix."_barcodes WHERE nom = '".$modelechoix['valeur']."'"));
					}
					foreach ($modeles as $modinfo) {
						echo '<option value="'.$modinfo['bcmodele_id'].'"';
						if($modelechoix['valeur']!="default") {
							if($modopt['bcmodele_id']==$modinfo['bcmodele_id']) {
								echo ' selected ';
							}
						}
						echo '>'.$modinfo['nom'].'</option>';
					}
					echo '</select></div></p>';
				echo '<div id=\'bc\' style=\'display:inline\'>';
				include('db/proc/database_select_bcmod.php');
				echo '</div><br>';
			}
			echo '<script type="text/javascript">
 			function opt(id){
		        for( var i = 1; i <= 6; i++){
		            if(i == id){
		                document.getElementById(\'div_\'+ i).style.display = \'block\';
		            }
		            else {
		                document.getElementById(\'div_\'+ i).style.display =\'none\';
		            }
		            if(id < 3) {
		            	document.getElementById(\'divselect\').style.display =\'none\';
		            }
		            else {
		            	document.getElementById(\'divselect\').style.display =\'block\';
		            }
		        } 
			}
			</script>';
			echo '<p><b>Elèves choisis pour l\'impression :</b></p>';
			//tous
			echo '<input type="radio" name="elechoix" id="bctous" value="tous" checked onclick="opt(0)" /><label for="bctous">Tous les élèves ayant un code</label>';
			echo '<div id="div_0" style="display:none;" ></div>';
			//classes
			echo '<br><input type="radio" name="elechoix" id="bcdivs" value="divs" onclick="opt(1)" /><label for="bcdivs">Une ou plusieurs divisions (ou groupes)</label>';
			echo '<div id="div_1" style="display:none;" ><br><i>Choisir la ou les divisions (touches Shift et Ctrl pour les choix multiples) :</i><br>';
			$liste_division = mysqli_query($bdd,"SELECT division FROM ".$prefix."_eleves GROUP BY division ORDER BY division ASC");
			$liste_division_nb = mysqli_num_rows($liste_division);
			$liste_groupe = mysqli_query($bdd,"SELECT groupe_id, groupe_nom FROM ".$prefix."_groupes WHERE groupe_actif = 1 GROUP BY groupe_nom ORDER BY groupe_nom ASC");
			$liste_groupe_nb = mysqli_num_rows($liste_groupe);
			echo '<select class="inptxt" name="division[]" multiple size="'.($liste_division_nb+$liste_groupe_nb).'">';
			while($listed = mysqli_fetch_assoc($liste_division)) {
				echo '<option>'.$listed['division'].'</option>';
			}
			while($listeg = mysqli_fetch_assoc($liste_groupe)) {
				echo '<option value="'.$listeg['groupe_id'].'">'.$listeg['groupe_nom'].'</option>';
			}
			echo '</select></div>';
			//élèves d'une classe
			echo '<br><input type="radio" name="elechoix" id="bcinclas" value="inclas" onclick="opt(3)" /><label for="bcinclas">Les élèves d\'une division</label>';
			echo '<div id="div_3" style="display:none;" >';
			echo '<style>input[name="checkch"] { display:none; } span[name="noprint"] { display:none; }</style>';
			include('db/proc/elediv_select.php');
			echo '</div>';
			//certains élèves
			echo '<br><input type="radio" id="bcelechoix" name="elechoix" value="elev" onclick="opt(2)" /><label for="bcelechoix">Un ou plusieurs élève(s)</label>';
			echo '<div id="div_2" style="display:none;" ><br><i>Préciser ci-après l\'identifiant de chaque élève, séparé par une virgule et sans espaces :</i> <textarea name="eleid" maxlength="300" rows="10" cols="60"></textarea></div>';
			//planche incomplète
			echo '<p><b>Etiquette de départ</b> pour une planche incomplète : <input type="number" class="number" name="debut" value="1" /></p>';
			//validation
			echo '<br><input class="bouton boutdb" type="submit" name="genbarcodes" value="Générer les codes barres" />';
			echo '</form>';

			// formulaires de création modif et suppression des modèles
			echo '<br><br><a href="javascript:;" onmousedown="toggleDiv(\'divmodeles\');"><b>Créer, modifier, supprimer des modèles pour l\'impression des codes-barres</b></a>';
			echo '<div id="divmodeles" style="display:none;">';
			echo '<form method="POST" name="modelenew" action="">';
			echo '<br><table class="paramform">';
				echo '<th colspan="2">Nouveau modèle :</th><tr><td>Nom : <input type="text" name="nom" class="inptxt" maxlength="30" value="" /></td><td>Format : <div class="box"><select name="format"><option value="P">Portrait</option><option value="L">Paysage</option></select></div> <br><br>Type de code : <div class="box"><select name="type"><option>C128B</option><option>EAN128B</option><option>QR</option></select></div></td></tr>
				<tr><td>Nombre d\'étiquettes en largeur : <input type="number" name="nbwidth" /></td><td>Nombre d\'étiquettes en hauteur : <input type="number" name="nbheight" /></td></tr>
				<tr><td colspan="2">Marges de la feuille (en mm) : &nbsp; gauche <input type="number" class="number" name="margextg" /> - droite <input type="number" class="number" name="margextd" /> - haut <input type="number" class="number" name="margexth" /> - bas <input type="number" class="number" name="margextb" /></td></tr>
				<tr><td colspan="2">Marges de l\'étiquette (en mm) : gauche <input type="number" class="number" name="margintg" /> - droite <input type="number" class="number" name="margintd" /> - haut <input type="number" class="number" name="marginth" /> - bas <input type="number" class="number" name="margintb" /></td></tr>
				<tr><td>Texte au-dessus : <div class="box"><select name="textup"><option value="0">Rien</option><option value="1">Nom de l\'élève</option><option value="4">Nom de l\'élève et division</option><option value="2">Nom de l\'établissement</option><option value="3">Texte personnalisé</option></select></div><td>Texte personnalisé : <input type="text" class="inptxt" name="textspe" maxlength="50" value="" /></tr>
				<tr><td>Taille du texte (en pt) : <input type="number" name="fontsize" /></td><td><div style="text-align:right;"><input class="bouton boutdb" type="submit" value="Ajouter" name="modelenew" /></div></td></tr>
			</table>';
			echo '</form>';
			if(mysqli_num_rows($modeles)>1){
				foreach($modeles as $modinfo) {
					if($modinfo['nom']!='default') {
						echo '<form method="POST" name="modeleup'.$modinfo['bcmodele_id'].'" action="">';
						$_SESSION['id'.$modinfo['bcmodele_id']] = $modinfo['bcmodele_id'];
						echo '<br><table class="paramform">';
						echo '<th colspan="2">'.$modinfo['bcmodele_id'].' (id.) - '.$modinfo['nom'].' :</th><tr><td>Nom : <input type="text" class="inptxt" name="nom" maxlength="30" value="'.$modinfo['nom'].'" /></td><td>Format : <div class="box"><select name="format"><option value="P"';
						if($modinfo['format']=='P') { echo ' selected '; }
						echo '>Portrait</option><option value="L"';
						if($modinfo['format']=='L') { echo ' selected '; }
						echo '>Paysage</option></select></div> <br><br>Type de code : <div class="box"><select name="type"><option';
						if($modinfo['type']=='C128B') { echo ' selected '; }
						echo '>C128B</option><option';
						if($modinfo['type']=='EAN128B') { echo ' selected '; }
						echo '>EAN128B</option><option';
						if($modinfo['type']=='QR') { echo ' selected '; }
						echo '>QR</option></select></div></td></tr>
						<tr><td>Nombre d\'étiquettes en largeur : <input type="number" name="nbwidth" value="'.$modinfo['nbwidth'].'" /></td><td>Nombre d\'étiquettes en hauteur : <input type="number" name="nbheight" value="'.$modinfo['nbheight'].'" /></td></tr>
						<tr><td colspan="2">Marges de la feuille (en mm) : &nbsp; gauche <input type="number" class="number" name="margextg" value="'.$modinfo['margextg'].'" /> - droite <input type="number" class="number" name="margextd" value="'.$modinfo['margextd'].'" /> - haut <input type="number" class="number" name="margexth" value="'.$modinfo['margexth'].'" /> - bas <input type="number" class="number" name="margextb" value="'.$modinfo['margextb'].'" /></td></tr>
						<tr><td colspan="2">Marges de l\'étiquette (en mm) : gauche <input type="number" class="number" name="margintg" value="'.$modinfo['margintg'].'" /> - droite <input type="number" class="number" name="margintd" value="'.$modinfo['margintd'].'" /> - haut <input type="number" class="number" name="marginth" value="'.$modinfo['marginth'].'" /> - bas <input type="number" class="number" name="margintb" value="'.$modinfo['margintb'].'" /></td></tr>
						<tr><td>Texte au-dessus : <div class="box"><select name="textup">';
						$upcode = array('0','1','4','2','3');
						$upname = array('Rien','Nom de l\'élève','Nom de l\'élève et division','Nom de l\'établissement','Texte personnalisé');
						for($i=0;$i<count($upcode);$i++) {
							echo '<option value="'.$upcode[$i].'"';
							if($modinfo['textup']==$upcode[$i]) {
								echo ' selected ';
							}
							echo '>'.$upname[$i].'</option>';
						}
						echo '</select></div><td>Texte personnalisé : <input type="text" class="inptxt" name="textspe" maxlength="50" value="'.$modinfo['textspe'].'" /></tr>
						<tr><td>Taille du texte (en pt) : <input type="number" name="fontsize" value="'.$modinfo['fontsize'].'" /></td><td><div style="text-align:right;"><input class="bouton boutdb" type="submit" value="Modifier" name="modeleup'.$modinfo['bcmodele_id'].'" /> <input class="bouton boutdb" type="submit" value="Supprimer" name="modeledel'.$modinfo['bcmodele_id'].'" /></div></td></tr>
						</table>';
						echo '</form>';
						// Gestion des modifications et suppressions
						if(isset($_POST['modeleup'.$modinfo['bcmodele_id'].''])) {
							// Récupération des données
							$modele_id = $modinfo['bcmodele_id'];
							$nom = mysqli_real_escape_string($bdd,$_POST['nom']);
							$textspe = mysqli_real_escape_string($bdd,$_POST['textspe']);
							// Enregistrement
							mysqli_query($bdd,"UPDATE ".$prefix."_barcodes SET nom = '".$nom."', format = '".$_POST['format']."', nbwidth = '".$_POST['nbwidth']."', nbheight = '".$_POST['nbheight']."', type = '".$_POST['type']."', margextg = '".$_POST['margextg']."', margextd = '".$_POST['margextd']."', margexth = '".$_POST['margexth']."', margextb = '".$_POST['margextb']."', margintg = '".$_POST['margintg']."', margintd = '".$_POST['margintd']."', marginth = '".$_POST['marginth']."', margintb = '".$_POST['margintb']."', textup = '".$_POST['textup']."', textspe = '".$textspe."', fontsize = '".$_POST['fontsize']."' WHERE bcmodele_id = '".$modinfo['bcmodele_id']."'");
							echo '<script language="Javascript">
							<!--
							document.location.replace("database.php?page=barcodes");
							// -->
							</script>';
						}
						if(isset($_POST['modeledel'.$modinfo['bcmodele_id'].''])) {
							$modele_id = $modinfo['bcmodele_id'];
							if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'barcodes_default_modeleve' AND valeur = '".$modinfo['nom']."'"))>0) {
								mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = 'default' WHERE param_nom = 'barcodes_default_modeleve'");
							}
							mysqli_query($bdd,"DELETE FROM ".$prefix."_barcodes WHERE bcmodele_id = '".$modele_id."'");
							echo '<script language="Javascript">
							<!--
							document.location.replace("database.php?page=barcodes");
							// -->
							</script>';
						}
					}
				}
			}
			echo '</div>';
		}
	}	
}
else {
	include('include/noaccess.php');
	echo '<br><a href="../index.php">Accueil</a></p>';
}
?>