<!doctype html>

<html>

<head>

	<meta charset="utf-8" />
	<title>Installation - InfodocLog</title>
	<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
	<script type='text/javascript'>
	function surligne(champ, erreur)
	{
		if(erreur)
			champ.style.backgroundColor = "#fba";
		else
			champ.style.backgroundColor = "";
	}
	function verifPseudo(champ)
	{
		if(champ.value.length < 2 || champ.value.length > 40)
		{
			surligne(champ, true);
			return false;	
		}
		else
		{
			surligne(champ, false);
			return true;
		}
	}
	function verifMdp(champ)
	{
		if(champ.value.length < 8 || champ.value.length > 30)
		{
			surligne(champ, true);
			return false;	
		}
		else
		{
			surligne(champ, false);
			return true;
		}
	}
	function verifForm(f)
	{
		var pseudoOk = verifPseudo(f.login);
		var mdpOk = verifMdp(f.mdp);
		if(pseudoOk && mdpOk)
			return true;
		else
		{
			alert("Veuillez remplir correctement tous les champs");
			return false;	
		}
	}
	</script>
</head>

<body>
	
	<?php $page_header = 'index'; ?>
	<?php include('include/header.php'); ?>
	
	<section>
		
		<div class="center">
			<?php
			if(phpversion()<7.3&&phpversion()>=8.1) {
				echo '<p class="signal" style="text-align:center;">Attention, votre version de PHP ('.phpversion().') n\'est pas compatible avec InfodocLog (>=7.3 et <=8.0).<br>Si vous procédez à l\'installation, vous risquez de rencontrer des problèmes de fonctionnement.</p>';
			}
			?>
		<form method="post" action="db/install_tables.php" class="padd2" onsubmit="return verifForm(this)">
		<table id="install">
			<tr><td colspan="2"><h1>Paramètres de connexion à la base de données :</h1>
			<p>Laissez les informations en l'état si vous installez IDLog sur un<br>serveur local (une base idlog sera alors créée).<br>Pour une deuxième base sur un serveur local, modifiez le nom<br>donné à la base de données et/ou le préfixe.</p>
			</td></tr>
			<tr><td>Serveur :</td><td><input class="inptxt" type="text" name="server" maxlength="30" value="127.0.0.1" /></td></tr>
			<tr><td>Utilisateur MySql :</td><td><input class="inptxt" type="text" name="user" value="root" /></td></tr>
			<tr><td>Mot de passe :</td><td><input class="inptxt" type="password" name="pwd" value="" /></td></tr>
			<tr><td>Base de données :</td><td><input class="inptxt" type="text" name="base" maxlength="30" value="idlog" /></td></tr>
			<tr><td>Préfixe des tables :</td><td><input class="inptxt" type="text" name="prefix" maxlength="10" value="idlog" /></td></tr>
			<tr><td colspan="2"><h1>Compte administrateur :</h1></td></tr>
			<tr><td>Identifiant :</td><td><input class="inptxt" type="text" id="login" name="login" maxlength="40" value="" onblur="verifPseudo(this)" /></td></tr>
			<tr><td>Mot de passe :<br>(8 à 30 caractères)</td><td><input class="inptxt" type="password" name="mdp" maxlength="30" value=""  onblur="verifMdp(this)" /></td></tr>
			<tr><td colspan="2" class="valid"><input class="bouton inptxt boutdb" type="submit" value="Valider" /></td></tr>
		</table>
				
		</form>
		</div>
		
	</section>
</body>
</html>
